
class MY_WINDOW
inherit
	EV_TITLED_WINDOW

feature

	build_interface
		local
			main_vbox: EV_VERTICAL_BOX
			toolbar_box: EV_HORIZONTAL_BOX
		do
			create main_vbox
			create toolbar_box
			add_button (toolbar_box, "Projects", agent do_nothing)
			add_button (toolbar_box, "Versions", agent do_nothing)
			toolbar_box.extend (create {EV_HORIZONTAL_BOX})
			add_toggle_button (toolbar_box, "Fixed", agent do_nothing, True)
			add_toggle_button (toolbar_box, "Locked", agent do_nothing, False)

			toolbar_box.extend (create {EV_HORIZONTAL_BOX})
			add_button (toolbar_box, "Back", agent do_nothing)
			
			add_button (toolbar_box, "Forward", agent do_nothing)
			
			toolbar_box.extend (create {EV_HORIZONTAL_BOX})
			add_button (toolbar_box, "Undo", agent do_nothing)
			add_button (toolbar_box, "Redo", agent do_nothing)
			
			toolbar_box.extend (create {EV_HORIZONTAL_BOX})
			add_toggle_button (toolbar_box, "Standard", agent do_nothing, True)
			add_toggle_button (toolbar_box, "Acct Type", agent do_nothing, False)
			add_toggle_button (toolbar_box, "Max Size", agent do_nothing, False)
			toolbar_box.extend (create {EV_HORIZONTAL_BOX})
			add_button (toolbar_box, "Save", agent do_nothing)

			add_button (toolbar_box, "Finish", agent do_nothing)
			upper_bar.extend (toolbar_box)
			
			extend (main_vbox)
		end
		
	add_button (a_box: EV_BOX a_text: STRING an_action: PROCEDURE [ANY, TUPLE])
		do
			create last_button.make_with_text_and_action (a_text, an_action)
			a_box.extend (last_button)
			a_box.disable_item_expand (last_button)
		end

	add_toggle_button (a_box: EV_BOX a_text: STRING an_action: PROCEDURE [ANY, TUPLE] selected: BOOLEAN)
		do
			create_toggle_button (a_text, an_action, selected)
			a_box.extend (last_toggle_button)
			a_box.disable_item_expand (last_toggle_button)
		end

	create_toggle_button (a_text: STRING an_action: PROCEDURE [ANY, TUPLE] selected: BOOLEAN)
		do
			create last_toggle_button.make_with_text_and_action (a_text, an_action)
			if selected then
				last_toggle_button.enable_select
			else
				last_toggle_button.disable_select
			end
		end

	reset
		do
		end

	last_button: EV_BUTTON

	last_toggle_button: EV_TOGGLE_BUTTON

end
